=== debian/changelog ===
libosmium (2.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jun 2016 20:31:49 +0200

libosmium (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update watch file to handle more tag conventions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:09:14 +0200

libosmium (2.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 19:58:35 +0100
