## libosmium 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 project(libosmium)
 
 set(LIBOSMIUM_VERSION_MAJOR 2)
-set(LIBOSMIUM_VERSION_MINOR 7)
-set(LIBOSMIUM_VERSION_PATCH 2)
+set(LIBOSMIUM_VERSION_MINOR 8)
+set(LIBOSMIUM_VERSION_PATCH 0)
 
 set(LIBOSMIUM_VERSION
     "${LIBOSMIUM_VERSION_MAJOR}.${LIBOSMIUM_VERSION_MINOR}.${LIBOSMIUM_VERSION_PATCH}")
@@ -59,6 +59,27 @@
 option(INSTALL_UTFCPP    "also install utfcpp headers" OFF)
 
 option(WITH_PROFILING    "add flags needed for profiling" OFF)
+
+
+#-----------------------------------------------------------------------------
+#
+#  CCache support
+#
+#-----------------------------------------------------------------------------
+
+option(BUILD_WITH_CCACHE "build using ccache" OFF)
+
+if(BUILD_WITH_CCACHE)
+    find_program(CCACHE_PROGRAM ccache)
+    if(CCACHE_PROGRAM)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE "CCACHE_CPP2=1 ${CCACHE_PROGRAM}")
+
+        # workaround for some clang versions
+        if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+            add_definitions(-Qunused-arguments)
+        endif()
+    endif()
+endif()
 
 
 #-----------------------------------------------------------------------------
@@ -360,21 +381,3 @@
 
         # There is no way in CMake to just compile but not link a C++ file,
         # so we pretend to build a library here.
-        add_library(${libname} STATIC ${DUMMYCPP} include/${hpp})
-
-        #### this is better but only supported from cmake 3.0:
-        ###add_library(${libname} OBJECT ${DUMMYCPP} include/${hpp})
-
-    endforeach()
-endif()
-
-
-#-----------------------------------------------------------------------------
-#
-#  Optional "clang-tidy" target
-#
-#-----------------------------------------------------------------------------
-message(STATUS "Looking for clang-tidy")
-find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-3.9 clang-tidy-3.8 clang-tidy-3.7 clang-tidy-3.6 clang-tidy-3.5)
-
-if(CLANG_TIDY)
