=== test/CMakeLists.txt ===
--- 
+++ 
@@ -84,6 +84,40 @@
             CACHE STRING "Tests that were skipped because of missing dependecies")
     endif()
 endfunction()
+
+
+#-----------------------------------------------------------------------------
+#
+#  Prepare some variables so querying it for tests work properly.
+#
+#-----------------------------------------------------------------------------
+
+if(NOT GEOS_FOUND)
+    set(GEOS_FOUND FALSE)
+endif()
+
+if(NOT PROJ_FOUND)
+    set(PROJ_FOUND FALSE)
+endif()
+
+if(NOT SPARSEHASH_FOUND)
+    set(SPARSEHASH_FOUND FALSE)
+endif()
+
+if(NOT BZIP2_FOUND)
+    set(BZIP2_FOUND FALSE)
+endif()
+
+if(NOT Threads_FOUND)
+    set(Threads_FOUND FALSE)
+endif()
+
+if(GEOS_FOUND AND PROJ_FOUND)
+    set(GEOS_AND_PROJ_FOUND TRUE)
+else()
+    set(GEOS_AND_PROJ_FOUND FALSE)
+endif()
+
 
 #-----------------------------------------------------------------------------
 #
@@ -112,11 +146,6 @@
 
 add_unit_test(builder test_attr)
 
-if(GEOS_FOUND AND PROJ_FOUND)
-    set(GEOS_AND_PROJ_FOUND TRUE)
-else()
-    set(GEOS_AND_PROJ_FOUND FALSE)
-endif()
 add_unit_test(geom test_factory_with_projection
     ENABLE_IF ${GEOS_AND_PROJ_FOUND}
     LIBS ${GEOS_LIBRARY} ${PROJ_LIBRARY})
@@ -129,7 +158,7 @@
 add_unit_test(geom test_mercator)
 add_unit_test(geom test_ogr ENABLE_IF ${GDAL_FOUND} LIBS ${GDAL_LIBRARY})
 add_unit_test(geom test_projection ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
-add_unit_test(geom test_tile)
+add_unit_test(geom test_tile ENABLE_IF ${GEOS_FOUND})
 add_unit_test(geom test_wkb)
 add_unit_test(geom test_wkt)
