=== debian/changelog ===
libosmium (2.8.0-2) unstable; urgency=medium

  * Ignore test failures on arm64 & ppc64el.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Aug 2016 00:51:55 +0200

libosmium (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libboost-program-options-dev from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Aug 2016 10:36:57 +0200
