=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                cmake,
                graphviz,
                libboost-dev,
-               libboost-program-options-dev,
                libbz2-dev,
                libexpat1-dev,
                libgdal-dev,
