## libosmium 2.10.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,8 +24,8 @@
 project(libosmium)
 
 set(LIBOSMIUM_VERSION_MAJOR 2)
-set(LIBOSMIUM_VERSION_MINOR 8)
-set(LIBOSMIUM_VERSION_PATCH 0)
+set(LIBOSMIUM_VERSION_MINOR 10)
+set(LIBOSMIUM_VERSION_PATCH 3)
 
 set(LIBOSMIUM_VERSION
     "${LIBOSMIUM_VERSION_MAJOR}.${LIBOSMIUM_VERSION_MINOR}.${LIBOSMIUM_VERSION_PATCH}")
@@ -285,6 +285,10 @@
     add_subdirectory(test/data-tests)
 endif()
 
+if(BUILD_EXAMPLES)
+    add_subdirectory(test/examples)
+endif()
+
 
 #-----------------------------------------------------------------------------
 #
@@ -379,5 +383,3 @@
         set(DUMMYCPP ${CMAKE_BINARY_DIR}/header_check/${libname}.cpp)
         file(WRITE ${DUMMYCPP} "#include <${hpp}>\n")
 
-        # There is no way in CMake to just compile but not link a C++ file,
-        # so we pretend to build a library here.
