=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -10,15 +10,21 @@
 
 set(EXAMPLES
     area_test
+    change_tags
     convert
     count
-    create_node_cache
+    create_pois
     debug
+    dump_internal
     filter_discussions
-    index
+    index_lookup
+    location_cache_create
+    location_cache_use
+    pub_names
     read
-    serdump
-    use_node_cache
+    read_with_progress
+    road_length
+    tiles
     CACHE STRING "Example programs"
 )
 
@@ -28,7 +34,7 @@
 #  Examples depending on wingetopt
 #
 #-----------------------------------------------------------------------------
-set(GETOPT_EXAMPLES area_test convert index serdump)
+set(GETOPT_EXAMPLES area_test convert index_lookup)
 if(NOT GETOPT_MISSING)
     foreach(example ${GETOPT_EXAMPLES})
         list(APPEND EXAMPLE_LIBS_${example} ${GETOPT_LIBRARY})
