=== test/CMakeLists.txt ===
--- 
+++ 
@@ -112,12 +112,6 @@
     set(Threads_FOUND FALSE)
 endif()
 
-if(GEOS_FOUND AND PROJ_FOUND)
-    set(GEOS_AND_PROJ_FOUND TRUE)
-else()
-    set(GEOS_AND_PROJ_FOUND FALSE)
-endif()
-
 
 #-----------------------------------------------------------------------------
 #
@@ -127,49 +121,52 @@
 add_unit_test(area test_area_id)
 add_unit_test(area test_node_ref_segment)
 
-add_unit_test(basic test_box)
-add_unit_test(basic test_changeset)
-add_unit_test(basic test_crc)
-add_unit_test(basic test_entity_bits)
-add_unit_test(basic test_location)
-add_unit_test(basic test_node)
-add_unit_test(basic test_node_ref)
-add_unit_test(basic test_object_comparisons)
-add_unit_test(basic test_relation)
-add_unit_test(basic test_timestamp)
-add_unit_test(basic test_types_from_string)
-add_unit_test(basic test_way)
-
-add_unit_test(buffer test_buffer_basics)
-add_unit_test(buffer test_buffer_node)
-add_unit_test(buffer test_buffer_purge)
+add_unit_test(osm test_area)
+add_unit_test(osm test_box)
+add_unit_test(osm test_changeset)
+add_unit_test(osm test_crc)
+add_unit_test(osm test_entity_bits)
+add_unit_test(osm test_location)
+add_unit_test(osm test_node)
+add_unit_test(osm test_node_ref)
+add_unit_test(osm test_object_comparisons)
+add_unit_test(osm test_relation)
+add_unit_test(osm test_timestamp)
+add_unit_test(osm test_types_from_string)
+add_unit_test(osm test_way)
+
+add_unit_test(memory test_buffer_basics)
+add_unit_test(memory test_buffer_node)
+add_unit_test(memory test_buffer_purge)
 
 add_unit_test(builder test_attr)
-
-add_unit_test(geom test_factory_with_projection
-    ENABLE_IF ${GEOS_AND_PROJ_FOUND}
-    LIBS ${GEOS_LIBRARY} ${PROJ_LIBRARY})
+add_unit_test(builder test_object_builder)
 
 add_unit_test(geom test_crs ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
 add_unit_test(geom test_exception)
+add_unit_test(geom test_factory_with_projection ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
 add_unit_test(geom test_geojson)
 add_unit_test(geom test_geos ENABLE_IF ${GEOS_FOUND} LIBS ${GEOS_LIBRARY})
-add_unit_test(geom test_geos_wkb ENABLE_IF ${GEOS_FOUND} LIBS ${GEOS_LIBRARY})
 add_unit_test(geom test_mercator)
 add_unit_test(geom test_ogr ENABLE_IF ${GDAL_FOUND} LIBS ${GDAL_LIBRARY})
+add_unit_test(geom test_ogr_wkb ENABLE_IF ${GDAL_FOUND} LIBS ${GDAL_LIBRARY})
 add_unit_test(geom test_projection ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
-add_unit_test(geom test_tile ENABLE_IF ${GEOS_FOUND})
+add_unit_test(geom test_tile)
 add_unit_test(geom test_wkb)
 add_unit_test(geom test_wkt)
 
+add_unit_test(index test_id_set)
 add_unit_test(index test_id_to_location ENABLE_IF ${SPARSEHASH_FOUND})
 add_unit_test(index test_file_based_index)
-
+add_unit_test(index test_object_pointer_collection)
+
+add_unit_test(io test_compression_factory)
 add_unit_test(io test_bzip2 ENABLE_IF ${BZIP2_FOUND} LIBS ${BZIP2_LIBRARIES})
 add_unit_test(io test_file_formats)
 add_unit_test(io test_reader LIBS "${OSMIUM_XML_LIBRARIES};${OSMIUM_PBF_LIBRARIES}")
 add_unit_test(io test_reader_with_mock_decompression ENABLE_IF ${Threads_FOUND} LIBS ${OSMIUM_XML_LIBRARIES})
 add_unit_test(io test_reader_with_mock_parser ENABLE_IF ${Threads_FOUND} LIBS ${CMAKE_THREAD_LIBS_INIT})
+add_unit_test(io test_opl_parser)
 add_unit_test(io test_output_utils)
 add_unit_test(io test_output_iterator ENABLE_IF ${Threads_FOUND} LIBS ${CMAKE_THREAD_LIBS_INIT})
 add_unit_test(io test_string_table)
