=== test/CMakeLists.txt ===
--- 
+++ 
@@ -138,10 +138,12 @@
 add_unit_test(memory test_buffer_basics)
 add_unit_test(memory test_buffer_node)
 add_unit_test(memory test_buffer_purge)
+add_unit_test(memory test_type_is_compatible)
 
 add_unit_test(builder test_attr)
 add_unit_test(builder test_object_builder)
 
+add_unit_test(geom test_coordinates)
 add_unit_test(geom test_crs ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
 add_unit_test(geom test_exception)
 add_unit_test(geom test_factory_with_projection ENABLE_IF ${PROJ_FOUND} LIBS ${PROJ_LIBRARY})
@@ -159,6 +161,7 @@
 add_unit_test(index test_id_to_location ENABLE_IF ${SPARSEHASH_FOUND})
 add_unit_test(index test_file_based_index)
 add_unit_test(index test_object_pointer_collection)
+add_unit_test(index test_relations_map)
 
 add_unit_test(io test_compression_factory)
 add_unit_test(io test_bzip2 ENABLE_IF ${BZIP2_FOUND} LIBS ${BZIP2_LIBRARIES})
