=== debian/changelog ===
libosmium (2.11.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jan 2017 18:29:43 +0100

libosmium (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years for Jochen Topf.
  * Skip tests when build-arch target was not executed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Jan 2017 13:18:06 +0100

libosmium (2.10.3-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 07:18:56 +0100

libosmium (2.10.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Require at least libprotozero-dev 1.4.5.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Nov 2016 18:11:06 +0100

libosmium (2.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Require at least libprotozero-dev 1.4.4.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2016 14:49:53 +0100

libosmium (2.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Require at least libprotozero-dev 1.4.3.
  * Drop dh_installexamples override, permissions fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Nov 2016 15:07:40 +0100

libosmium (2.10.0really2.9.0-1) unstable; urgency=medium

  * Revert back to 2.9.0 upstream release to fix IdSet related build failures.
  * Re-instate dh_installexamples override.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Nov 2016 20:01:41 +0100

libosmium (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop dh_installexamples override, permissions fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Nov 2016 06:06:27 +0100

libosmium (2.9.0-2) unstable; urgency=medium

  * Update dh_installexamples override for -arch only.
    (closes: #838463)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Sep 2016 13:00:42 +0200

libosmium (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Include NOTES_FOR_DEVELOPERS.md in docs.
  * Override dh_installexamples to remove executable bit from .cpp files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Sep 2016 15:28:39 +0200
