=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libgdal-dev,
                libgeos++-dev,
                libproj-dev,
-               libprotozero-dev,
+               libprotozero-dev (>= 1.4.5),
                libsparsehash-dev,
                libutfcpp-dev,
                zlib1g-dev
@@ -28,7 +28,7 @@
 Depends: libboost-dev,
          libbz2-dev,
          libexpat1-dev,
-         libprotozero-dev,
+         libprotozero-dev (>= 1.4.5),
          libutfcpp-dev,
          zlib1g-dev,
          ${misc:Depends}
