=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --builddirectory=build
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1
@@ -17,11 +17,7 @@
 	dh_auto_build --arch
 
 override_dh_auto_build-indep:
-	if [ -e "build" ]; then \
-		(cd build && $(MAKE) doc) ; \
-	else \
-		$(MAKE) doc ; \
-	fi
+	(cd build && $(MAKE) doc)
 
 override_dh_auto_test-arch:
 # Ignore test failures on problematic architectures only
@@ -30,6 +26,9 @@
 else
 	(cd build && ctest -V)
 endif
+
+override_dh_auto_test-indep:
+	# Skip tests when build-arch target was not executed
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
