=== debian/changelog ===
libosmium (2.11.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Mar 2017 07:51:58 +0100

libosmium (2.11.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix the Filter::count() method.
    - Bugfix: Terminate called on full buffer.
      See: https://github.com/osmcode/libosmium/issues/189
    - Add test for not correctly handled unsupported_file_format_error.
      See: https://github.com/osmcode/libosmium/issues/197
    - Bugfix: Call get_creator_function() in main thread.
      See: https://github.com/osmcode/libosmium/issues/197
  * Update gbp.conf to use upstream-2.11 branch.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Mar 2017 18:31:00 +0100

libosmium (2.11.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 30 Jan 2017 19:43:15 +0100

libosmium (2.10.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Nov 2016 10:11:15 +0100

libosmium (2.9.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Sep 2016 09:30:49 +0200

libosmium (2.8.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Aug 2016 19:50:44 +0200

libosmium (2.7.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2016 19:17:32 +0200

libosmium (2.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jun 2016 19:22:04 +0200

libosmium (2.6.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Mar 2016 17:54:33 +0100

libosmium (2.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Feb 2016 19:22:13 +0100

libosmium (2.5.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Dec 2015 11:39:18 +0100

libosmium (2.4.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Sep 2015 08:30:11 +0200

libosmium (2.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jul 2015 21:47:04 +0200

libosmium (2.1.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 03 Jul 2015 18:48:56 +0200
