=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libosmium.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libosmium.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libosmium.git -b jessie-backports
 Homepage: http://osmcode.org/libosmium/
 
 Package: libosmium2-dev
